<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: profile/profile-body/profile-body-graphics/index.tsx</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: profile/profile-body/profile-body-graphics/index.tsx</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from 'react';
import styled from 'styled-components';
import { IUserData } from '../../../../utils/interfaces/api.interface';
import Activity from './Activity';
import AverageSessions from './AverageSessions';
import Performance from './Performance';
import Score from './Score';

const Container = styled.div`
  display: flex;
  flex-direction: column;
  gap: 30px;
  flex-grow: 1;
  max-width: 100%;
`;

const SubContainer = styled.div`
  display: flex;
  flex-flow: row wrap;
  gap: 30px;
  max-width: 100%;
`;

/** Renders the graphics container */
const ProfileBodyGraphics: React.FC&lt;{ data: IUserData }> = ({ data }) => {
  return (
    &lt;Container>
      &lt;Activity activityData={data.activity} />
      &lt;SubContainer>
        &lt;AverageSessions averageSessionsData={data.averageSessions} />
        &lt;Performance performanceData={data.performance} />
        &lt;Score score={(data.infos.todayScore ?? data.infos.score) as number} />
      &lt;/SubContainer>
    &lt;/Container>
  );
};

export default ProfileBodyGraphics;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
